import React from 'react';
import { mount } from 'enzyme';
import { expect } from 'chai';
import { describe, it, specs } from '../../storybook/facade';
import Template from './index';

export default (stories) => {
	stories.add('Template', () => {
		const component = (
			<Template
				onClick={(e, o) => {
					console.log(o);
				}}
			/>
		);

		specs(() => describe('Template', () => {
			const wrapper = mount(component);

			it('Should be ok', () => {
				expect(wrapper).be.ok;
			});
		}));

		return component;
	});
};
